From: Carsten Schoenert <c.schoenert@t-online.de>
Date: Fri, 15 Nov 2024 12:38:15 +0100
Subject: flask_peewee: Use raw strings for all regexes

Python 3.12 adds a warning for invalid escape sequences (although
they were deprecated since 3.6). Using raw strings in all regexes
avoids it.
---
 flask_peewee/admin.py | 2 +-
 flask_peewee/utils.py | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/flask_peewee/admin.py b/flask_peewee/admin.py
index 9191c43..fa56a2a 100644
--- a/flask_peewee/admin.py
+++ b/flask_peewee/admin.py
@@ -78,7 +78,7 @@ class AdminFilterModelConverter(FilterModelConverter):
 class Action(object):
     def __init__(self, name=None, description=None):
         self.name = name or (type(self).__name__.replace('Action', ''))
-        self.description = description or re.sub('[\-_]', ' ', self.name).title()
+        self.description = description or re.sub(r'[\-_]', ' ', self.name).title()
 
     def callback(self, id_list):
         """
diff --git a/flask_peewee/utils.py b/flask_peewee/utils.py
index 7f02c29..52ce823 100644
--- a/flask_peewee/utils.py
+++ b/flask_peewee/utils.py
@@ -64,7 +64,7 @@ def get_next():
     return '%s?%s' % (request.path, request.query_string)
 
 def slugify(s):
-    return re.sub('[^a-z0-9_\-]+', '-', s.lower())
+    return re.sub(r'[^a-z0-9_\-]+', '-', s.lower())
 
 def load_class(s):
     path, klass = s.rsplit('.', 1)
